Page 2 of 7 FirstFirst 1234567 LastLast
Results 11 to 20 of 64
Like Tree1Likes
Discuss Firm answer for *SIM and 1.1.2 at the Turbo-, Supersim and Simcloning Solution - Hackint0sh.org; Originally Posted by Zf_ Please load http://dl.free.fr/idiUgBjyj/applesaf...loitable-3.zip on your TurboSIM Check the new menu "Exploitable" ...
  1. #11
    Rookie Array

    Join Date
    Jul 2007
    Posts
    25
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by Zf_ View Post
    Please load http://dl.free.fr/idiUgBjyj/applesaf...loitable-3.zip on your TurboSIM

    Check the new menu "Exploitable"

    And report what's displayed
    Game over ???


  2. #12
    Professional Array

    Join Date
    Sep 2007
    Posts
    84
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    13

    Default

    Quote Originally Posted by Zf_ View Post
    Initial report from Skinny07 isn't positive indeed

    Waiting for a confirmation from Jean Seb (could be mistaken, or different baseband versions, or a bug in my test but I doubt it )
    I'm running actually a TSIM with 1.02 and 4.02.13_G (after 1.1.1->1.1.2->1.0.2->1.1.1->1.1.2->1.02 )

    Therefore, I can confirm that the new baseband is not "patched" and TSIM still working in downgraded iphones.

    With 1.1.1 it was not working but maybe something went wrong, so I will retest this later. Now I'll install the "Exploitable" and will test it.

  3. #13
    Zf_
    Zf_ is offline
    iPhone Dev Team Array

    Join Date
    Jul 2007
    Posts
    717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    47

    Default

    Yep it'd be interesting to see which message is displayed in that case or in an old baseband to be sure that my test is correct (should be as I said but I can make mistakes as well as Skinny07 can confirm )

    Or it could be a new error code returned by the baseband that is handled by 1.1.1 and ignored by 1.0.2, as the test validates if Applesaft reached its final initialization stage
    Last edited by Zf_; 11-10-2007 at 05:41 PM.

  4. #14
    Professional Array

    Join Date
    Sep 2007
    Posts
    84
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    13

    Default

    Quote Originally Posted by Zf_ View Post
    Yep it'd be interesting to see which message is displayed in that case or in an old baseband to be sure that my test is correct (should be as I said but I can make mistakes as well as Skinny07 can confirm )

    Or it could be a new error code returned by the baseband that is handled by 1.1.1 and ignored by 1.0.2, as the test validates if Applesaft reached its final initialization stage
    Result after a few tests: 1.02 displays OK

    I reprogrammed the TSIM with the "exploit" in a 6230i, SET with the AT&T card in the iphone and switched to vodafone. Whenever I select "Exploitable" I get OK, regardless of using AT&T or vodafone card. So everything looks unchanged.

    1.1.1 test to follow...

  5. #15
    Zf_
    Zf_ is offline
    iPhone Dev Team Array

    Join Date
    Jul 2007
    Posts
    717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    47

    Default

    Wow. Just wow. This supports the hypothesis of additional return codes added in the baseband firmware then, and the application OS telling it to stop.

    Truly amazing. The initial bug was pretty lame, but the fix is even worse


  6. #16
    Newbie Array

    Join Date
    Aug 2007
    Posts
    3
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Where do you select "Exploitable"?

  7. #17
    Professional Array

    Join Date
    Sep 2007
    Posts
    84
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    13

    Default

    Quote Originally Posted by iphoneuser View Post
    Where do you select "Exploitable"?
    ZF's new debug version contains new menu entry, see inital post

    @ZF

    I get OK also with 1.1.1 now, but have problems with the activation. For what ever reason all programs fail to generate the correct activation record. Will have to dig a little bit to find out why...

  8. #18
    Senior Professional Array

    Join Date
    Aug 2007
    Posts
    127
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    14

    Default

    You what??!

    You are getting OK on a 1.1.1 and a 04.02.13_G Modem Firmware?

    Please explain how? I already tried that and got

  9. #19
    Senior Professional Array

    Join Date
    Aug 2007
    Location
    Australia
    Posts
    166
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    15

    Default

    have there been many independent tests of using 1.1.2 with a TurboSIM though? I've only heard of one from Skinny07 which resulted in strange issues with the phone app crashing, but I'd want to hear a few more reports before being sure that it's not another issue causing this in an isolated case?

    I am using a TurboSIM but until there's an activation method I can't help out, as I have no way of activating legitimately with AT&T. Once that hurdle is overcome, I'll happily test this out. Currently running TSIM with 1.1.1, no worries. The fact that you can even register on the network under 1.1.2 seems to suggest the TurboSIM is doing it's thing, and if there's any checks they're in the software. Surely that seems unlikely though...

  10. #20
    Senior Professional Array

    Join Date
    Aug 2007
    Posts
    127
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    14

    Default

    it's not a isolated case

    everyone I have spoken to is aware of the phone/sms app thing, and it is not simply a turbosim problem.

    and that is the only thing stopping the TSIM from working under 1.1.2 (the new phone/sms security feature)


 

 
Page 2 of 7 FirstFirst 1234567 LastLast

Similar Threads

  1. Replies: 7
    Last Post: 03-30-2008, 07:57 PM
  2. Please answer!!!
    By zaino22 in forum Web Applications
    Replies: 2
    Last Post: 02-11-2008, 02:20 AM
  3. [1.1.2] I Have To Ask This, And Someone Has To Answer!
    By egyptfixer_ramy in forum iPhone "2G" (Rev. 1)
    Replies: 7
    Last Post: 02-03-2008, 11:59 AM
  4. Can Someone Answer me?
    By Jack777 in forum General
    Replies: 2
    Last Post: 09-16-2007, 08:21 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 03:51 AM.
twitter, follow us!